Subject: -pthread should be removed on MacOS builds?

From: Ted Pavlic <[email-masked]>
Date: Mon, 29 Dec 2008 12:46:50 -0500

I notice that every time I build git on my OS X 10.4.11 (PowerBook G4) 
system, I get a bunch of:

powerpc-apple-darwin8-gcc-4.0.1: unrecognized option '-pthread'

Doing a little search, I see:

http://lists.apple.com/archives/Unix-porting/2005/Mar/msg00019.html

====
The C library on Mac OS X is always thread safe (well the ones which
can be thread safe and are defined to be thread safe by the POSIX 
standard) and always include the pthread library.
====

So I get the feeling that -pthread can be removed from the MacOS build 
line without any impact (except for removing those warnings).

Just something cosmetic.

-- 
Ted Pavlic <[email-masked]>